function statFeatures = statParCompute(feature)
% Funkce pro vypocet statistickych parametru z MIR parametru
% Stepan Miklanek, 2018
statFeatures = zeros(1,10);

statFeatures(1) = mean(feature,'omitnan'); 
statFeatures(2) = median(feature,'omitnan'); 
statFeatures(3) = std(feature,'omitnan'); 
statFeatures(4) = var(feature,'omitnan');  
statFeatures(5) = quantile(feature,0.25);
statFeatures(6) = quantile(feature,0.75);
statFeatures(7) = quantile(feature,0.75) - quantile(feature,0.25);
statFeatures(8) = prctile(feature,1);
statFeatures(9) = prctile(feature,99);
statFeatures(10) = prctile(feature,99) - prctile(feature,1);

end

